
################################################################################
# Rules
################################################################################
include $(TOP_DIR)/Rules


################################################################################
# Source and Target
################################################################################
TARGET = HLH_utils.o

 SRCS = 
 SRCS += 
 SRCS +=  debug.cpp
 SRCS +=  HLH_RoundU32.cpp
 SRCS +=  HLH_Mutex.cpp
 SRCS +=  HLH_Cond.cpp
 SRCS +=  HLH_Thread.cpp
 SRCS +=  HLH_Sock.cpp
 SRCS +=  HLH_UDPSock.cpp

LIBS = 

OBJS = $(patsubst %.cpp,%.o,$(SRCS))
DEPS = $(patsubst %.cpp,.%.d,$(SRCS))


################################################################################
# All rule
################################################################################
.PHONY: all clean
all: $(TARGET)


################################################################################
# Target rule
################################################################################
$(TARGET): $(DEPS) $(OBJS) $(LIBS)
	@echo "	LD  $@"
	@$(LD) -i -o $@ $(OBJS)


################################################################################
# Depend rule
################################################################################
sinclude $(DEPS)


################################################################################
# Clean rule
################################################################################
clean:
	@echo "	CLEAN"
	@rm $(DEPS) $(OBJS) $(TARGET) -f


